name: helios-evcs

services:
  csms:
    container_name: helios-csms
    build:
      context: .
      dockerfile: apps/csms/Dockerfile
    ports:
      - "3001:3001"
    env_file:
      - apps/csms/.env

  web:
    container_name: helios-web
    build:
      context: .
      dockerfile: apps/web/Dockerfile
      args:
        NEXT_PUBLIC_CSMS_URL: ${NEXT_PUBLIC_CSMS_URL}
    ports:
      - "3000:3000"
    env_file:
      - apps/web/.env
